Bug 976859 - (server) version checks done at startup are very slow
(server) version checks done at startup are very slow
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
low Severity low
: rc
: 6.7
Assigned To: candlepin-bugs
John Sefler
: Reopened, Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-06-21 12:32 EDT by Adrian Likins
Modified: 2018-03-14 16:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: subscription-manager-1.16.6-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-03-14 16:08:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2013-06-21 12:32:54 EDT
Description of problem:

See https://bugzilla.redhat.com/show_bug.cgi?id=976855

When starting up, subman makes a call to it's candlepin server to determine the server versioning so it can log it (as well as checking for server status and capabilities).


Wait until we have to make a server /status call (ideally, just before the first needed api call) and update the server version info there.

Don't make this call solely to get server version. If we need it for /status info, collect it then, but don't do it for just the version. 

Make this call async, so client startup does not block on it. 

See the attachment to 976855 for a profile showing this.
Comment 1 Bryan Kearney 2013-07-18 16:52:19 EDT
moving to rhel7.
Comment 3 Bryan Kearney 2014-03-19 16:49:51 EDT
Moving bugs from 7.0 to 7.1
Comment 5 Bryan Kearney 2014-07-30 15:21:13 EDT
Acking 7.1
Comment 9 Adrian Likins 2015-12-01 14:10:29 EST
new related pr at https://github.com/candlepin/subscription-manager/pull/1353
Comment 10 Chris Snyder 2015-12-02 16:04:14 EST
In upstream master as of the below commit

commit ee59e0df48dd9702424fc21dc9ab4ecfbb1992a9
Author: Adrian Likins <alikins@redhat.com>
Date:   Tue Dec 1 13:46:35 2015 -0500

    976859: Only check server version if asked.
    976859 is about the server version check done by
    the cli being slow, which it is (at least for
    invocations that otherwise don't use the network)
    315d08e880 moved the check to use a thread so as
    to not block, but 1284120 was a bug in it.
    For simplicity, this commit removes the threading,
    but also removes the server version check from all
    cli sub commands except 'register' and 'version'
    since it was of limited utility in practice.
Comment 11 Mike McCune 2016-03-28 18:23:05 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 13 Jan Kurik 2017-12-06 05:57:17 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:


This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:


Note You need to log in before you can comment on or make changes to this bug.